[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: Problema de atualização Debian Testing




2010/7/16 Felipe Augusto van de Wiel (faw) <faw@funlabs.org>
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

On 14-07-2010 21:15, Joelias Júnior wrote:
> Olá pessoal,
> Hoje formatei meu Debian e aconteceu uma coisa curiosa. Consigo fazer
> instalações a atualizar o sistema normalmente pelo Synaptic, no entanto
> se eu for tentar fazer isso pelo terminal boa parte do meu sistema é
> removido. Eu dei um aptitude safe-upgrade no terminal e ele
> removeu/quebrou tanto pacote essencial que achei melhor fazer a
> instalação denovo. Alguém sabe me dizer o que pode ser?

Você alternou o uso de gerenciador de pacotes?  Em outras palavras,
você usou aptitude ou apt-get ou synaptic ao mesmo tempo?

Foram duas ocasiões em que ocorreram esse mesmo problema.

1. Na primeira instalação que fiz (num computador de outra pessoa), eu instalei somente o sistema básico (usei uma imagem netbotin e depois tentei com uma business_card também) e por problema de driver a parte gráfica não subiu após terminar a instalação. Então, eu fui direto ao console instalar o driver usando APTITUDE e nessa primeira tentativa eu já obtive a tentativa de remoção/quebra de pacotes brutal relatada acima.

2. A segunda ocasião foi uma instalação no meu próprio notebook que fiz essa semana. Instalei da mesma forma que faço todas as vezes. Baixei um CD do testing e mandei instalar o restantes dos pacotes pela rede. Quando terminei a instalação, fiz diferente do que estava acostumado e invés de instalar os pacotes no console fui direto ao synaptic e instalei quase tudo por lá. Mais tarde tive a necessidade de fazer uma instalação pelo console (a primeira que fui fazer no console), usei APTITUDE e tive o problema relatado.

Faw, eu sempre uso APTITUDE, mas devido ao que você falou eu instalei um pacote com o APT-GET, olha só a saída:

/home/joelias# apt-get install unrar
Lendo listas de pacotes... Pronto
Construindo árvore de dependências      
Lendo informação de estado... Pronto
Os seguintes pacotes foram automaticamente instalados e não são mais requeridos:
  python-coherence python-bugbuddy usb-modeswitch gtk2-engines-smooth dnsmasq-base tomboy python-evolution ekiga libepc-common libmono-security2.0-cil
  update-notifier-common libgnome-bluetooth7 libndesk-dbus1.0-cil rpm2cpio libmono-addins-gui0.2-cil gcalctool gthumb libopal3.6.8 gnome-backgrounds
  libaiksaurus-1.2-data unattended-upgrades libmono-system2.0-cil python-twisted-bin update-notifier python-mako pkg-config hamster-applet
  network-manager-gnome libsrtp0 gucharmap gstreamer0.10-fluendo-mp3 libdiscid0 totem-plugins gnome-games link-grammar-dictionaries-en mysql-query-browser
  obexd-client cheese gdebi libots0 python-openssl libgpod-common obex-data-server libgnomepanel2.24-cil libmono-corlib2.0-cil lzma gnome-disk-utility
  gthumb-data python-louie cli-common rhythmbox libboost-python1.42.0 libmono-cairo2.0-cil python-httplib2 python-nevow libcheese-gtk18 libpolkit-gtk-1-0
  libndesk-dbus-glib1.0-cil mozilla-plugin-gnash libboost-date-time1.40.0 python-software-properties usb-modeswitch-data abiword gnome-themes-extras
  mobile-broadband-provider-info evolution-exchange libpcap0.8 abiword-common transmission-gtk python-zope.interface libmono-i18n-west2.0-cil
  python-twisted-conch librpmio1 librpm1 guile-1.8-libs update-manager-gnome seahorse rpm-common xdg-user-dirs gdebi-core python-twisted-web gvfs-bin
  libgoffice-0.8-8-common python-axiom software-center libmono-posix2.0-cil mono-runtime hal-cups-utils libgpod4 libmono-addins0.2-cil libgnome2.24-cil
  python-serial libpsiconv6 gnome-cards-data libgalago3 gnuchess-book gnome-nettool transmission-common gnome-codec-install python-epsilon
  update-manager-core gnome-games-extra-data python-webkit libgoffice-0.8-8 gconf-editor python-pam abiword-plugin-grammar libelf1 libcryptui0 libgdu-gtk0
  libgdata-common python-aptdaemon liblink-grammar4 arj gstreamer0.10-ffmpeg gnash-common network-manager python-clientform gnome-system-tools
  libepc-ui-1.0-2 epiphany-extensions binfmt-support libwv-1.2-3 libavahi-ui0 totem-coherence libnm-glib-vpn1 python-gtkglext1 libgtkglext1
  libgnome-vfs2.0-cil libgdome2-0 w3c-dtd-xhtml mono-gac gnome-bluetooth gnome-user-share modemmanager libboost-thread1.40.0 gconf-defaults-service
  libaiksaurusgtk-1.2-0c2a libglade2.0-cil seahorse-plugins software-properties-gtk libopenobex1 rdesktop libspeexdsp1 cheese-common sound-juicer
  libart2.0-cil vino aptdaemon python-mechanize libglib2.0-cil mono-2.0-gac python-tagpy libgtkmathview0c2a system-config-printer libgconf2.0-cil
  python-aptdaemon-gtk ppp abiword-plugin-mathview python-twisted-core libapache2-mod-dnssd libmono-sharpzip2.84-cil python-gnupginterface libgdata7
  libepc-1.0-2 gedit-plugins gnumeric-common dmz-cursor-theme mysql-gui-tools-common liferea libpt2.6.7 gnash gnome-themes-more python-gdbm
  media-player-info gnumeric python-markupsafe gnome-games-data libmusicbrainz3-6 gstreamer0.10-tools liferea-data libaiksaurus-1.2-0c2a python-gdata
  libabiword-2.8 gnome-office gnuchess libgtk2.0-cil totem python-pkg-resources libloudmouth1-0 libssh-4 totem-mozilla python-beautifulsoup
  python-pysqlite2 gnome-themes rhythmbox-plugin-cdrecorder rhythmbox-plugins p7zip-full python-cupsutils libgmime2.4-cil python-rdflib totem-common
  freeglut3 file-roller python-pyasn1 remmina libgdome2-cpp-smart0c2a python-opengl
Use 'apt-get autoremove' para removê-los.
Os NOVOS pacotes a seguir serão instalados:
  unrar
0 pacotes atualizados, 1 pacotes novos instalados, 0 a serem removidos e 19 não atualizados.
É preciso baixar 98,9kB de arquivos.
Depois desta operação, 246kB adicionais de espaço em disco serão usados.
Obter:1 http://ftp.br.debian.org squeeze/non-free unrar 1:3.8.5-1 [98,9kB]
Baixados 98,9kB em 1s (80,4kB/s)
Selecionando pacote previamente não selecionado unrar.
(Lendo banco de dados ... 165826 arquivos e diretórios atualmente instalados).
Desempacotando unrar (de .../unrar_1%3a3.8.5-1_amd64.deb) ...
Processando gatilhos para man-db ...
Configurando unrar (1:3.8.5-1) ...
update-alternatives: using /usr/bin/unrar-nonfree to provide /usr/bin/unrar (unrar) in auto mode.
/home/joelias#



Se a resposta for sim, o aptitude costuma ser agressivo na retirada
de pacotes que ele não instalou e que não estão marcados na base de
metadados dele.

Se for isso, sabe como eu poderia resolver esse problema?

Abraço,
- --
Felipe Augusto van de Wiel (faw)
Debian. Freedom to code. Code to freedom!
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org/

iEYEARECAAYFAkw/5OIACgkQCjAO0JDlykZ1egCfaPeppDauk51gGeOZcarPfFFV
blgAnjnS/QOBIuKHCzre7zkjSiQiH8dL
=rMiU
-----END PGP SIGNATURE-----


--
To UNSUBSCRIBE, email to debian-user-portuguese-REQUEST@lists.debian.org
with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org
Archive: 4C3FE4E3.9040302@funlabs.org" target="_blank">http://lists.debian.org/4C3FE4E3.9040302@funlabs.org




--
Joelias Júnior
Desenvolvedor Web
Bacharelando em Informática (IFG)
Coordenador Financeiro - ASL-GO
www.joeliasjunior.rg3.net
joeliasjunior@gmail.com
(62) 8579-9532

Reply to: